import jsPDF from 'jspdf';
import "@babel/polyfill";
import $ from 'jquery';
import html2canvas  from "html2canvas";

let orderPdf = $('#orderPdf');
let tableResult = $('#table-content');

orderPdf.click( function(){

  document.body.scrollTop = 0; // For Safari
  document.documentElement.scrollTop = 0; // For Chrome, Firefox, IE and Opera

  

  var HTML_Width = $(".canvas_div_pdf").width();
  var HTML_Height = $(".canvas_div_pdf").height();
  var top_left_margin = 15;
  var PDF_Width = HTML_Width+(top_left_margin*2);
  var PDF_Height = (PDF_Width*1.5)+(top_left_margin*2);
  var canvas_image_width = HTML_Width;
  var canvas_image_height = HTML_Height;
  
  var totalPDFPages = Math.ceil(HTML_Height/PDF_Height)-1;
  
  html2canvas($(".canvas_div_pdf")[0],{allowTaint:true}).then(function(canvas){

    canvas.getContext('2d');
        

    var imgData = canvas.toDataURL("image/jpeg", 1);

    var img = document.createElement('img'); 
    img.src = imgData;

    var pdf = new jsPDF('p', 'pt',  [PDF_Width, PDF_Height]);
        
    pdf.addImage(imgData, 'JPG', top_left_margin, top_left_margin, canvas_image_width, canvas_image_height);
    
    // несколько страниц 
    for (var i = 1; i <= totalPDFPages; i++) { 
      pdf.addPage(PDF_Width, PDF_Height);
      pdf.addImage(imgData, 'JPG', top_left_margin, -(PDF_Height*i)+(top_left_margin*4),canvas_image_width,canvas_image_height);
    }
  
    pdf.save("HTML-Document.pdf");
    
  });

});

// удаляем ебучие заявки 

function testutest() {
  alert(1);
}
